Help Center/Details/

SDK integration

SDK integration import

Method one

After obtaining the framework file, drag the {BUAdSDK.framework, BUFoundation.framework, BUAdSDK.bundle, BUCNAuxiliary.framework (new in 3400 version sdk)} into it again Works. To upgrade the SDK, the framework and bundle files must be updated at the same time, otherwise there may be a problem that some pages cannot be displayed. Developers who upgrade the old version need to re-introduce BUFoundation
When dragging in, please select as follows:
33333.webp
After dragging in, please make sure there is BUAdSDK.bundle in Copy Bundle Resources, otherwise the icon image may not be loaded.
44444.webp

Method Two

After SDK1982, it supports pod access. You only need to configure the pod environment and add the following code to the podfile to successfully access. Domestic developers can access in the following ways

#SDKVersion >=3.4.0.0
pod'Ads-CN'

#SDKVersion <3.4.0.0
pod'Bytedance-UnionAD'

Note: For more information about pod access, please refer to github

Did the content solve your problem?
Contact us